### Hierarchy

- InitializableXmlComponent
  - Header

## Index

### Constructors

- constructor

### Accessors

- IsDeleted
- ReferenceId

### Methods

- addChildElement
- addParagraph
- addTable
- createParagraph
- createTable
- delete
- prepForXml

## Constructors

### constructor

- new Header(referenceNumber: number, initContent?: XmlComponent): Header

- Overrides InitializableXmlComponent.constructor

  - Defined in file/header/header.ts:8

  #### Parameters

  - ##### referenceNumber: number

  - ##### Optional initContent: XmlComponent

  #### Returns Header

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

### ReferenceId

- get ReferenceId(): number

- - Defined in file/header/header.ts:48

  #### Returns number

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addParagraph

- addParagraph(paragraph: Paragraph): void

- - Defined in file/header/header.ts:52

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns void

### addTable

- addTable(table: Table): void

- - Defined in file/header/header.ts:62

  #### Parameters

  - ##### table: Table

  #### Returns void

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/header/header.ts:56

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### createTable

- createTable(rows: number, cols: number): Table

- - Defined in file/header/header.ts:66

  #### Parameters

  - ##### rows: number

  - ##### cols: number

  #### Returns Table

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

Generated using TypeDoc